Intrusion Prevention

Novell.ZENworks.Server.UploadServlet.Code.Execution

Description

This indicates an attack attempt to exploit a code-execution vulnerability in Novell ZENworks.
The vulnerability is caused by an error when the ZENworks Server handles a malicious file uploading request passed to UploadServlet. It allows a remote attacker to upload arbitrary files and execute arbitrary code via sending a crafted HTTP POST request.

Affected Products

Novell ZENworks 10

Impact

System Compromise: Remote attackers can gain control of vulnerable systems.

Recommended Actions

Refer to the vendor's web site for the suggested workaround:
http://www.novell.com/support/viewContent.do?externalId=7005573

CVE References

CVE-2010-4229